Subject: [bug#71540] [PATCH 0/5] gnu: poetry: Update to 1.7.1.

From: Tanguy LE CARROUR <[email-masked]>
Date: Fri, 14 Jun 2024 10:33:19 +0200

Hi,

Quoting Antero Mejr (2024-06-13 21:10:35)
> Updating to 1.7.1 instead of the latest, because poetry 1.8.2 requires a
> newer python-packaging, which would trigger many rebuilds.
> 
> Antero Mejr (5):
>   gnu: Add python-installer.
>   gnu: Add python-rapidfuzz.
>   gnu: Add python-poetry-core-next.
>   gnu: python-cleo: Update to 2.1.0.
>   gnu: poetry: Update to 1.7.1.
> 
>  gnu/packages/python-build.scm |  12 +++
>  gnu/packages/python-xyz.scm   | 144 ++++++++++++++++++++++++++++------
>  2 files changed, 131 insertions(+), 25 deletions(-)

Thanks for working on this!

>> Updating to 1.7.1 instead of the latest, because poetry 1.8.2 requires a
>> newer python-packaging, which would trigger many rebuilds.a
> How about to apply patches against python-team branch with the latest version?

As Oleg said, it would be great to have version 1.8.2. I have to confess that,
because it’s not available in Guix, I’ve been installing it using pipx for few
months now.

This being said here are some (useless) remarks…

- gnu: Add python-installer.
  * The synopsis is different from the others. It starts with a "A" and ends with a "."
- gnu: Add python-poetry-plugin-export.
  * The package name used in `pypi-uri` contains "_" where I usually see "-".
    Is that on purpose?
- gnu: Add python-poetry-plugin-export-minimal.
  * LGTM
- gnu: Add python-rapidfuzz.
  * LGTM
- gnu: Add python-poetry-core-next.
  * The package name used in `pypi-uri` contains "_" where I usually see "-".
- gnu: python-cleo: Update to 2.1.0.
  * There is no mention of the `snippet` in the commit message. Wouldn’t it be
    worth explaining?
- gnu: poetry: Update to 1.7.1.
  * There is no mention to the fact that you enabled some tests that were
    previously altogether disabled. Which is good IMHO! 👍

But the most important is that it builds and it works! Thanks!

-- 
Tanguy